Package org.apache.sling.feature.maven.mojos

# Class Archive

java.lang.Object
org.apache.sling.feature.maven.mojos.FeatureSelectionConfig
org.apache.sling.feature.maven.mojos.Archive

public class Archive extends FeatureSelectionConfig
Several features can be selected to be put into a single archive

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`attach`
If this is set to `false` the archive is not added to the project artifacts.
`static final String`
`DEFAULT_EXTENSION`

## Constructor Summary

Constructors
Constructor
Description
`Archive()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassifier()`
`String`
`getType()`
`void`
`setClassifier(String classifier)`
`void`
`setType(String value)`
`String`
`toString()`

### Methods inherited from class org.apache.sling.feature.maven.mojos.FeatureSelectionConfig

`equals, getFilesExcludes, getSelections, hashCode, setFilesExclude, setFilesInclude, setIncludeArtifact, setIncludeClassifier, setRefsInclude`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_EXTENSION

public static final String DEFAULT_EXTENSION

See Also:
  - Constant Field Values

### attach

public boolean attach
If this is set to `false` the archive is not added to the project artifacts.

## Constructor Details

### Archive

public Archive()

## Method Details

### getClassifier

public String getClassifier()

### setClassifier

public void setClassifier(String classifier)

### getType

public String getType()

### setType

public void setType(String value)

### toString

public String toString()

Overrides:
  `toString` in class `FeatureSelectionConfig`